:root {
  --screen-width : 1200px;
  --dark : #00197c;
  --medium: #404a76;
  --light : #ccc;
  --lighter: #eee;
  --padding: 4px;
  --large-padding: 1rem;
  --light_border: 1px solid var(--light);
  --dark_border: 1px solid var(--dark);
}

html {
  scroll-behavior: smooth;
}

body { 
  font-family: Georgia; 
  background-image: url(/images/guy-f-back.png); 
  background-size: 80vw auto;
  background-repeat: no-repeat;
  background-position: top center;
  max-width: var(--screen-width);
  margin: 0 auto;
  padding: var(--padding);
}

h1, h2, h3, h4, h5, h6 { 
  font-family: Verdana; 
}

h1 { margin: 0;}

a { word-break: break-all; }


nav {
  margin: 1rem 0;
}

img.page-icon { 
  float: right; 
}

#view-file-content,
input,
table,
textarea { 
  width: 100%;
  padding: var(--padding);
  border: var(--light_border);
}

#view-file-content {
  max-width: 95vw;
}

textarea {
  height: fit-content;
}

input[type=text] {
  width: 80%;
  margin: 0;
}

button {
  margin-top: 1rem;
  margin-right: 1rem;
}

form input[type=password],
input#login_username,
input#twofactor_code {
  width: auto;
} 

table tr th { 
  cursor: pointer; 
  text-align: left;
}

table tr th.sorttable_nosort {
  cursor: inherit;
}

table {
  margin-top: 2rem;
  border: var(--light_border);
  border-style: outset;
  border-collapse: collapse;
}

table.sortable th:not(.sorttable_sorted):not(.sorttable_sorted_reverse):not(.sorttable_nosort):after { 
  content: " \25B4\25BE" 
}

table tr th,
table tr td {
  padding: var(--padding);
  border: var(--light_border);
  vertical-align: top;
}

table tr.opened {
  background-color: var(--light);
}

table tr:hover {
  background-color: var(--lighter);
}

footer[role=page-footer] {
  margin-top: 3rem;
  padding: var(--padding);
  background-color: var(--lighter);
}

.version,
footer .page-load {
  float: right; 
}

.confirm-delete-question,
.message {
  border : var(--dark_border);
  padding: var(--large-padding);
  margin: 0.5rem 0;
  width: fit-content;
  background-color: #fff;
}

#save,
.ck.ck-editor__top.ck-reset_all { 
  position: sticky !important; 
  top: 0 !important; 
}

#save {
  margin-top: -1.7rem;
  font-size: 1rem;
  float: right;
  z-index: 100;
}

.confirm-delete-question {
  position: absolute;
  display: none;
  line-height: 2rem;
}

.ck.ck-toolbar>.ck-toolbar__items>:not(.ck-toolbar__line-break) { 
  margin: 0 !important; 
}

td.action {
  line-height: 2rem;
}

#view-file {
  display: none;
}